petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexDistribute

Add partition overlap to a distributed non-overlapping DM.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexDistributeOverlap(DM dm, PetscInt overlap, PetscSF *sf, DM *dmOverlap)

Not Collective

### Input Parameter

| dm | - The non-overlapping distrbuted DMPlex object
| overlap | - The overlap of partitions, 0 is the default

### Output Parameter

| sf | - The PetscSF used for point distribution
| dmOverlap | - The overlapping distributed DMPlex object, or NULL

Note: If the mesh was not distributed, the return value is NULL.

The user can control the definition of adjacency for the mesh using DMPlexGetAdjacencyUseCone() and DMPlexSetAdjacencyUseClosure(). They should choose the combination appropriate for the function representation on the mesh.

### Keywords

mesh, elements

### See Also

DMPlexCreate(), DMPlexDistributeByFace(), DMPlexSetAdjacencyUseCone(), DMPlexSetAdjacencyUseClosure()

Level:intermediate
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/impls/plex/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/ts/examples/tutorials/ex11.c.html